Name:		scummvm-tools
Version:	1.1.1
Release:	1%{?dist}
Summary:	Tools for scummVM / S.C.U.M.M scripting language

Group:		Development/Tools
License:	GPLv2+
URL:		http://scummvm.sourceforge.net
Source0:	http://downloads.sourceforge.net/scummvm/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	wxGTK-devel, libvorbis-devel, flac-devel, desktop-file-utils
BuildRequires:	zlib-devel
Requires:	scummvm >= %{version}

%description
This is a collection of various tools that may be useful to use in
conjunction with ScummVM.
Please note that although a tool may support a feature, certain ScummVM
versions may not. ScummVM 0.6.x does not support FLAC audio, for example.

Many games package together all their game data in a few big archive files.
The following tools can be used to extract these archives, and in some cases
are needed to make certain game versions usable with ScummVM.

The following tools can also be used to analyze the game scripts
(controlling the behavior of certain scenes and actors in a game).
These tools are most useful to developers.

%prep
%setup -q -n %{name}-%{version}

%build
# No rpm configure because scummvm's configure isn't a real configure and thus
# doesn't understand some of the options %%configure passes. This includes
# -libdir, so rpmlint's complaints should be ignored.
./configure --prefix=%{_prefix} --bindir=%{_bindir} --mandir=%{_mandir} \
	--datadir=%{_datadir}
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
make install DESTDIR=${RPM_BUILD_ROOT}
(cd ${RPM_BUILD_ROOT}%{_bindir} ; for i in `ls *|grep -v scummvm` ; do mv $i scummvm-$i ; done)

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	%{SOURCE1}

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue May 04 2010 Lucian Langa <cooly@gnome.eu.org> - 1.1.1-1
- new upstream release

* Thu Nov 26 2009 Lucian Langa <cooly@gnome.eu.org> - 1.0.0-1
- new upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 10 2009 Lucian Langa <cooly@gnome.eu.org> - 0.13.0-1
- new upstream release
- use SF generic downloads URL
- drop patch0 (fixed upstream)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 30 2008 Lucian Langa <cooly@gnome.eu.org> - 0.12.0-5
- add desktop file

* Fri Oct 30 2008 Lucian Langa <cooly@gnome.eu.org> - 0.12.0-4
- use bz2 source

* Fri Oct 29 2008 Lucian Langa <cooly@gnome.eu.org> - 0.12.0-3
- prevent fedora optflags being overwritten

* Fri Oct 17 2008 Lucian Langa <cooly@gnome.eu.org> - 0.12.0-2
- update license tag
- fix CXXFLAGS
- update description

* Thu Oct 16 2008 Lucian Langa <cooly@gnome.eu.org> - 0.12.0-1
- New upstream release 0.12.0
- Update license
- Add desktop entry
- Prepare for inclusion into Fedora

* Sat Oct 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0:0.8.0-0.lvn.1
- Version upgrade

* Fri Dec 31 2004 Dams <anvil[AT]livna.org> - 0:0.7.0-0.lvn.3
- Missing zlib-devel BuildRequires

* Fri Dec 31 2004 Dams <anvil[AT]livna.org> - 0:0.7.0-0.lvn.2
- Patch for an 'install' target in Makefile
- Smarter way to rename all binaries

* Fri Dec 24 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0:0.7.0-0.lvn.1
- upgrade to 0.7.0
- all tools have scummvm- prefix now so they can easily be found

* Thu Nov 25 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0:0.6.1-0.lvn.1
- upgrade to 0.6.1
- adjust spec to new tools naming scheme..

* Thu May 27 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0:0.6.0-0.lvn.1
- upgrade to 0.6.0

* Thu Oct 02 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0:0.5.0-0.fdr.5
- removed #--- lines

* Tue Sep 16 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0:0.5.0-0.fdr.4
- added ${RPM_OPT_FLAGS}

* Tue Sep 02 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0:0.5.0-0.fdr.3
- changed Requires entry...

* Wed Aug 06 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0:0.5.0-0.fdr.2
- upgrade to new version

* Fri Aug 01 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0:0.4.1-0.fdr.1
- Initial RPM release.
